# selfhosted-traefik

This is a setup/guide/repo for self hosting services like nextcloud, gitea etc. to avoid using SaaSS I have no control over.
I use Traefik and docker-compose to self hoste services.
Inspired by: https://github.com/awesome-selfhosted/awesome-selfhosted

# Installation/Setup guide (WIP)

1. Create a user named _compute_ on your server. _compute_ needs a home directory.
2. Create a _services_ directory in the home directory of compute with `mkdir service`.
3. navigat into _services_ with `cd services`.
4. Clone this git into services with `git clone https://gitea.sporada.eu/sporada/selfhosted-traefik.git`.
5. For every service copy the live.env.tpl to live.env file and edit it accordingly. 'cp live.env.tpl live.env'
6. Navigate into the traefik with cd traefik` folder and start traefik with `docker-compose --env-file live.env up`
7. Navigate into the other service folders and start every service with `docker-compose --env-file live.env up`