# MariaDB settings
MYSQL_ROOT_PASSWORD=password_db_root
MYSQL_DATABASE=nextcloud
MYSQL_USER=nextcloud
MYSQL_PASSWORD=password_db
MYSQL_INITDB_SKIP_TZINFO=1
MYSQL_HOST=nextcloud-db

# Redis
REDIS_HOST=nextcloud-redis
REDIS_HOST_PASSWORD=password_redis

# Nextcloud
NEXTCLOUD_ROOT=/home/compute/services/nextcloud
NEXTCLOUD_DATA_DIR=/srv/nextcloud/data
NEXTCLOUD_FQDN=your_nextcloud_sub_domain.domain.com
# This is the IP of the Trafik container. This changes if the traefik container restarts. If it is not the current traefik container IP collabora does not work. Check the current traefik container IP with: docker inspect traefik and get the IP from the Networks -> traefik_default -> IPAddress section
TRAEFIK_CONTAINER_IP=172.27.0.16
PHP_MEMORY_LIMIT=2048M
PHP_UPLOAD_LIMIT=8G

# Collabora
COLLABORA_FQDN=collabora.domain.com
COLLABORA_DOMAIN=nextcloud_sub_domain\\.domain\\.com # This is the domain which the collabora server is requests accepting from.
COLLABORA_USERNAME=username
COLLABORA_PASSWORD=password_collabora

# COTURN
COTURN_SECRET=password_coturn
# Traefik
DOMAIN=domain.com
